Find-Replace text in dim.
Hello all,I am looking for a LISPthat will find/replace text from all dim strings from non stacked to stacked fraction horizontal.
Thank you. Can you show a example? The command Find/Replace usually works in dim also. I have attached a pdf file with desired dim text.
Those dimensions are for arcs and were created with this lisp:
; DLA.LSP - dimension length of arc; modified version of DIMARC from (^v^) XANADU, http://www.xanadu.cz; runs continuously -to exit(defun C:DLA ( / *ERROR* pt1 pt2 cen a1 a2 ad D1 D i r oldOs oldCmde)(defun *ERROR* (msg)(princ " function")(setvar "OSMODE" oldOs)(setvar "CMDECHO" oldCmde)(princ))(setq oldCmde (getvar "CMDECHO"))(setq oldOs (getvar "OSMODE"))(setvar "CMDECHO" 0)(while T (princ "\n Pick 2 points on an arc - ") (setvar "OSMODE" 33) (while (not cen) (setq pt1 (getpoint "\n 1st pt: ") cen (osnap pt1 "_CEN") ) (if (not cen) (alert "Doesn't lay on an arc, retry") (setq pt2 (getpoint pt1 "\n 2nd pt: ")) ) ) ; while (setvar "OSMODE" 0) (setq a1 (angle cen pt1) a2 (angle cen pt2) ad (abs (- a2 a1)) r (distance pt1 cen) D1 (* r ad) D2 (* r (- (* 2 pi) ad)) ) (princ (strcat "\n Arc length (1) = " (rtos D1) ", Complement (2) = " (rtos D2))) (setq D D1) (initget "1 2") (princ "\n Place dimension : ") (if (= i "2") (setq D D2)) (command "_DIMANGULAR" "" cen pt1 pt2 "_T" (rtos D1) pause "") (setq cen nil)) ; while(setvar "OSMODE" oldOs)(setvar "CMDECHO" oldCmde)(princ))When I went to properties of those Arc Length Dimensions under the Text, Fractional Type was not there.
Thanks for the help.
PS: Don't know the creator of this lisp to give credit for his(her) work. I forgot the pdf file.
Sorry !!!
Dim Text_change.pdf
页:
[1]